<?php
require 'conexion.php';

$sql = "SELECT * FROM trabajos WHERE estado = 'Bloqueado'";
$result = $conn->query($sql);
$trabajos = [];

while ($row = $result->fetch_assoc()) {
    $trabajos[] = [
        "id" => $row["id"],
        "codigo" => $row["valida_cod_pedido"],
        "cliente" => $row["cliente"],
        "dni" => $row["dni"],
        "direccion" => $row["direccion"],
        "distrito" => $row["distrito"],
        "estado" => $row["estado"],
        "fecha_registro" => $row["fecha_registro"],
        "tecnico" => $row["tecnico"] // ← Agregado
    ];
}

echo json_encode($trabajos);
$conn->close();
?>
